Name:          libkeyfinder
Version:       2.2.5
Release:       1mamba
Summary:       A small C++11 library for estimating the musical key of digital audio
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mixxxdj.github.io/libkeyfinder/
Source:        https://github.com/mixxxdj/libkeyfinder.git/v%{version}/libkeyfinder-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfftw-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libcatch2-devel
BuildRequires: cmake

%description
libkeyfinder is a small C++11 library for estimating the musical key of digital audio.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libkeyfinder.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/keyfinder
%{_includedir}/keyfinder/*.h
%dir %{_prefix}/lib/cmake/KeyFinder
%{_prefix}/lib/cmake/KeyFinder/KeyFinder*.cmake
%{_libdir}/libkeyfinder.so
%{_libdir}/pkgconfig/libkeyfinder.pc
%doc README.md

%changelog
* Sat Oct 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.5-1mamba
- package created using the webbuild interface
